### Method

# Gcr Prompt get_warning

#### Declaration [src]

    gchar*
    gcr_prompt_get_warning (
      GcrPrompt* prompt
    )

#### Description [src]

Get a prompt warning displayed on the prompt.

This is a warning like “The password is incorrect.” usually displayed to the user about a previous ‘unsuccessful’ prompt.

If this string is `NULL` then no warning is displayed.

Gets property | `Gcr.Prompt:warning`

#### Return value

Type: `gchar*`

A newly allocated string containing the prompt warning, or `NULL` if no warning.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.